# Lock Device

Remotely locks the device screen.
**Operation ID:** `endpointmanagement_lock_device`

Endpoint: POST /v1/endpoint-management/devices/actions/lock
Security: BearerAuth

## Security:

  - `BearerAuth` (unknown)
    http bearer

## Query parameters:

  - `meta` (array)
    Add metadata to the response by invoking meta functions. Documentation for [meta functions](https://docs.synqly.com/api-reference/meta-functions) is available. Not all meta functions are available at every endpoint.

## Request fields (application/json):

  - `device_id` (string, required)
    Target device ID.

  - `comment` (string)
    Optional comment or reason for the action.

  - `params` (object)
    Action-specific parameters forwarded to the provider.

## Response 200 fields (application/json):

  - `messages` (object)

  - `messages.problems` (array)
    Warnings or issues that occurred during processing that did not prevent the request from returning, but may indicate a problem or issue with expected processing behavior.

  - `messages.problems.message` (string, required)
    A short, display-friendly summary of the problem.

  - `messages.problems.detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `messages.problems.remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `messages.problems.context` (object)

  - `messages.problems.context.parameter` (object)

  - `messages.problems.context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `messages.problems.context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `messages.problems.context.parameter.value` (any)
    The given value of the parameter.

  - `messages.problems.context.resources` (array)

  - `messages.problems.context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `messages.problems.context.resources.id` (string, required)
    ID of the related resource.

  - `messages.problems.context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `messages.problems.context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `messages.problems.context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

  - `meta` (object)

  - `meta.stats` (object)

  - `meta.stats.count` (object)
    A count of total response times. If present "*" will be all items, or they can be faceted into specific categories.

  - `meta.api` (object)

  - `meta.api.response` (object)

  - `meta.api.response.primary` (object)

  - `meta.api.response.primary.endpoint` (string, required)
    The endpoint URL of the primary API request made to fulfill the response.

  - `meta.api.response.primary.response` (string, required)
    The response from the primary API request.

  - `meta.api.response.list` (object)
    All responses from backing API calls, indexed by endpoint URL.

  - `meta.mapping` (object)

  - `meta.mapping.chains` (object)
    The list of mapping chains applied, indexed by operation ID. Each entry contains an array of mapping IDs.

## Response 400 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 401 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 402 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 403 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 404 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 405 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 409 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 415 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 429 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 500 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 501 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 502 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 503 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 504 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

